# -*- coding: utf-8 -*-
import pymel.core as pm
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEaiSpaceTransformTemplate(ShaderAETemplate):
    def setup(self):
        self.addSwatch()
        self.beginScrollLayout()

        self.addControl('input', label='输入')
        self.addControl('type', label='类型')
        self.addSeparator()
        self.addControl('from', label='阻止')
        self.addControl('to')
        self.addSeparator()
        self.addControl('tangent', label='切线')
        self.addControl('normal', label='常规')
        self.addSeparator()
        self.addControl('normalize', label='标准化')
        self.addControl('scale', label='规模')

        pm.mel.AEdependNodeTemplate(self.nodeName)
        
        self.addExtraControls()
        self.endScrollLayout()
